<?php
require './controllers/DashboardVideosController.php';
$video = \Controller\DashboardVideosController::find($_GET['id']);
?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <title>Streaming App</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="public/css/custom.css" rel="stylesheet">
    <style>
        .carousel-item > img {
            filter: brightness(0.3);
        }
        #mainJumb
        {
            background-image: url("./public/uploads/<?php echo $video['thumbnail']; ?>");
            background-repeat: no-repeat;
            background-size: cover;
            padding: 5%;
            color: white;
            height: 50vh;
        }
        #payment-form
        {
            width: 60%;
        }
        footer
        {
            position: absolute;
            bottom: 0;
        }

        .form-control
        {
            border: none;
            border-bottom: 1px solid gray;
            border-radius: 0px;
        }
    </style>
</head>

<body>

<header>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="index.php">Streaming App</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
                    aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav me-auto mb-2 mb-md-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page"
                           href="index.php">Home</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

<main>

    <div class="jumbotron" id="mainJumb">
        <h1 class="display-4"><?php echo $video['title']; ?></h1>
        <hr class="my-4">
    </div>
    <br>
    <div class="container">
        <div class="row">
            <div class="col-12 d-flex justify-content-center">
                <h2>Comprar documental:</h2>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-12 d-flex justify-content-center">
                <form action="./pagar.php" method="post" id="payment-form">

                    <input type="text" name="id" value="<?php echo $video['id']; ?>" style="display:none;">
                    <div class="row">
                        <div class="col-6">
                            <label for="emailInput">E-mail</label>
                            <input type="email" class="form-control"
                                   id="emailInput" name="email"
                                   placeholder="Ingrese su correo" required />
                        </div>
                        <div class="col-6">
                            <label for="emailInput">Nombre</label>
                            <input type="text" class="form-control"
                                   id="name" name="name"
                                   placeholder="Ingrese su nombre" required />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <label for="emailInput">Password</label>
                            <input type="password" class="form-control"
                                   id="password" name="password"
                                   placeholder="Ingrese su contraseña" required />
                        </div>
                    </div>
                    <br>
                    <br>
                    <div class="form-row">
                        <label for="card-element">
                            Tarjeta de crédito o débito
                        </label>
                        <br>
                        <div id="card-element">
                            <!-- A Stripe Element will be inserted here. -->
                        </div>

                        <!-- Used to display Element errors. -->
                        <div id="card-errors" role="alert"></div>
                    </div>

                    <!--div class="form-row">
                        <label for="card-element">
                            Correo Electronico
                        </label>
                    </div-->
                    <br>
                    <br>
                    <button class="btn uppercase btn-primary">Procesar pago</button>
                </form>
            </div>
        </div>
    </div>

</main>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

<script src="https://js.stripe.com/v3/"></script>
<script>
    var stripe = Stripe('pk_test_51Kf2IbKt6iRa2EaEBc3x7sKNAJsxU5rqtN2EregOoNKzZlthMwgONIvP5oQKEzbSdKhyUUxTYbEyq05VXBzOJN6t00eKUPPwzQ');
    var elements = stripe.elements();

    // Custom styling can be passed to options when creating an Element.
    var style = {
        base: {
            // Add your base input styles here. For example:
            fontSize: '16px',
        },
    };

    // Create an instance of the card Element.
    var card = elements.create('card', {style: style});

    // Add an instance of the card Element into the `card-element` <div>.
    card.mount('#card-element');

    var form = document.getElementById('payment-form');
    form.addEventListener('submit', function(event) {
        event.preventDefault();

        stripe.createToken(card).then(function(result) {
            if (result.error) {
                // Inform the customer that there was an error.
                var errorElement = document.getElementById('card-errors');
                errorElement.textContent = "Parece que la tarjeta ingresada no es válida.";
                console.log(result.error.message);
                //errorElement.textContent = result.error.message;
            } else {
                // Send the token to your server.
                stripeTokenHandler(result.token);
            }
        });
    });

    function stripeTokenHandler(token) {
        // Insert the token ID into the form so it gets submitted to the server
        var form = document.getElementById('payment-form');
        var hiddenInput = document.createElement('input');
        hiddenInput.setAttribute('type', 'hidden');
        hiddenInput.setAttribute('name', 'stripeToken');
        hiddenInput.setAttribute('value', token.id);
        form.appendChild(hiddenInput);

        // Submit the form
        form.submit();
    }
</script>
</body>

</html>

