<?php

namespace Models;

require_once 'Model.php';

use Controller\Connection;

class Compra extends Model
{

    protected $client_id;
    protected $video_id;
    protected $price;

    public function __construct($price, $client_id, $video_id)
    {
        $this->client_id = $client_id;
        $this->video_id = $video_id;
        $this->price = $price;
    }

    public function save(Connection $connection)
    {
        $con = $connection->get_connection();
        $stmt = $con->prepare("INSERT INTO compras (price, video_id, cliente_id) 
            VALUES (:price, :video_id, :client_id)");

        $stmt->bindParam(":price", $this->price);
        $stmt->bindParam(":video_id", $this->video_id);
        $stmt->bindParam(":client_id", $this->client_id);

        return $stmt->execute();
    }

    public static function validate($price, $video_id, $client_id)
    {
        if($price == null || $video_id == null || $client_id == null)
        {
            return false;
        }
        return true;
    }
}