<?php
require_once '../controllers/Connection.php';
require_once '../models/User.php';
require_once '../controllers/VerifyMailController.php';
use Controller\Connection;
use Controller\VerifyMailController;
use Models\User;

$connection = new Connection();

$name = User::escapeData($_POST['name']);
$email = User::escapeData($_POST['email']);
$password = $_POST['password'];
$sector = User::escapeData($_POST['sector']);

if(!User::validate($name, $email, $sector, $password))
{
    header("Location: ./register.php?errors=true");
}
else
{
    $user = new User($name, $email, $sector, $password);
    if($user->save($connection))
    {
        VerifyMailController::sendVerificationMail($email, $user->getToken());
        /*session_start();
        $_SESSION['user'] = $email;*/
        $connection->close_connection();
        header('Location: ./email_not_verified.php');
    }
}
